### Name: image2
### Title: Display a matrix image
### Aliases: image2
### Keywords: color

### ** Examples

data(calathea)

op<-par(mfrow=c(2,2))
image2(calathea[[11]], text.cex=.8)
## labels on bottom right
image2( calathea[[11]], text.cex=.8, labels=c(1,4), mar=c(3,1,1,3))
## no text
image2( calathea[[11]], text.col=NA)
## with smaller boxes and gray border
image2( calathea[[11]], text.cex=.8, box.offset=0.2, border="gray70")

## if comparing two or more matrices, get the log10 range
## of values (not including zero) and pass to breaks
x<-unlist(calathea)
x<-log10(range(x[x!=0]))
par(mfrow=c(4,4))
for(i in 1:16)
  {
image2( calathea[[i]], cex=.7, breaks=seq(x[1], x[2], len=24))
  title(names(calathea[i]), line=3)
}
par(op)

## sometimes log scale is not needed
data(tortoise)
A<-tortoise$T + tortoise$F.med.high
image2(A, log=FALSE, box.offset=0.1)



